GNU bug report logs - #17897
24.4.50; Customize face-font-family-alternatives could lead to emacs crash

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Kan-Ru Chen (陳侃如) <kanru@HIDDEN>; dated Wed, 2 Jul 2014 08:39:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2014 08:38:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 02 04:38:31 2014
Received: from localhost ([127.0.0.1]:39891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X2G3g-0001LV-Jx
	for submit <at> debbugs.gnu.org; Wed, 02 Jul 2014 04:38:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35545)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kanru@HIDDEN>) id 1X2G3X-0001Ke-2i
 for submit <at> debbugs.gnu.org; Wed, 02 Jul 2014 04:38:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kanru@HIDDEN>) id 1X2G3L-0005pK-Od
 for submit <at> debbugs.gnu.org; Wed, 02 Jul 2014 04:38:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55174)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kanru@HIDDEN>) id 1X2G3L-0005pG-Ku
 for submit <at> debbugs.gnu.org; Wed, 02 Jul 2014 04:38:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37253)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kanru@HIDDEN>) id 1X2G3G-0006JJ-ES
 for bug-gnu-emacs@HIDDEN; Wed, 02 Jul 2014 04:38:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kanru@HIDDEN>) id 1X2G3B-0005jd-3k
 for bug-gnu-emacs@HIDDEN; Wed, 02 Jul 2014 04:38:02 -0400
Received: from zmmta2.corp.phx1.mozilla.com ([63.245.216.73]:58424
 helo=mail.mozilla.com) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kanru@HIDDEN>) id 1X2G3A-0005Lv-LM
 for bug-gnu-emacs@HIDDEN; Wed, 02 Jul 2014 04:37:57 -0400
Received: from mail.mozilla.com (localhost6.localdomain [127.0.0.1])
 by zmmta2.mail.corp.phx1.mozilla.com (Postfix) with ESMTPS id 973911020A7
 for <bug-gnu-emacs@HIDDEN>; Wed,  2 Jul 2014 01:37:05 -0700 (PDT)
Received: from kanru-mozilla.corp.tpe1.mozilla.com
 (zlb1.mail.corp.phx1.mozilla.com [10.20.77.200])
 (Authenticated sender: kchen@HIDDEN)
 by zmmta2.mail.corp.phx1.mozilla.com (Postfix) with ESMTPSA id 129AE1020A0
 for <bug-gnu-emacs@HIDDEN>; Wed,  2 Jul 2014 01:37:05 -0700 (PDT)
Received: from localhost ([127.0.0.1] helo=kanru-mozilla.corp.tpe1.mozilla.com)
 by kanru-mozilla.corp.tpe1.mozilla.com with esmtp (Exim 4.80)
 (envelope-from <kanru@HIDDEN>) id 1X2G2J-0005z9-8R
 for bug-gnu-emacs@HIDDEN; Wed, 02 Jul 2014 16:37:03 +0800
From: =?utf-8?B?S2FuLVJ1IENoZW4gKOmZs+S+g+Wmgik=?= <kanru@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.4.50;
 Customize face-font-family-alternatives could lead to emacs crash
Date: Wed, 02 Jul 2014 16:37:03 +0800
Message-ID: <87vbrgma1c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain


Run following command could crash emacs:

cat <<END > test.el
    (progn (custom-set-variables
      '(face-font-family-alternatives
        '(("Monospace" "courier" "fixed")
          ("courier" "CMU Typewriter Text" "fixed")
          ("Sans Serif" "helv" "helvetica" "arial" "fixed")
          ("helv" "helvetica" "arial" "fixed"))))
       (char-displayable-p 215))
END
emacs -Q --load test.el

The face-font-family-alternatives value is taken from the default value.

`bt full` and `xbacktrace` attached.

In GNU Emacs 24.4.50.16 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
 of 2014-06-30 on kanru-mozilla
Repository revision: 117446 rgm@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11204000
System Description:	Debian GNU/Linux 7.5 (wheezy)


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename=backtrace
Content-Transfer-Encoding: quoted-printable

#0  face_for_char (f=3Df@entry=3D0xecf6b8, face=3D0x0, c=3Dc@entry=3D215, p=
os=3Dpos@entry=3D-1, object=3D10195826) at fontset.c:915
        fontset =3D 215
        rfont_def =3D <optimized out>
        charset =3D <optimized out>
        face_id =3D <optimized out>
        id =3D <optimized out>
#1  0x00000000005bedcd in Finternal_char_font (position=3D<optimized out>, =
ch=3D<optimized out>) at fontset.c:1846
        pos =3D -1
        pos_byte =3D <optimized out>
        dummy =3D 0
        face_id =3D <optimized out>
        c =3D 215
        f =3D 0xecf6b8
        face =3D <optimized out>
#2  0x000000000055b898 in Ffuncall (nargs=3D<optimized out>, args=3D<optimi=
zed out>) at eval.c:2813
        fun =3D 9576117
        original_fun =3D <optimized out>
        funcar =3D 0
        numargs =3D <optimized out>
        val =3D <optimized out>
        internal_args =3D 0x7fffffffcf90
        i =3D <optimized out>
#3  0x000000000059028d in exec_byte_code (bytestr=3D0, vector=3D0, maxdepth=
=3D215, args_template=3D10195826, nargs=3D25, args=3D0x3) at bytecode.c:918
        targets =3D {0x590321 <exec_byte_code+1041>, 0x590b4c <exec_byte_co=
de+3132>, 0x590b51 <exec_byte_code+3137>, 0x590b56 <exec_byte_code+3142>, 0=
x5900f2 <exec_byte_code+482>, 0x5900f8 <exec_byte_code+488>, 0x5913de <exec=
_byte_code+5326>, 0x591424 <exec_byte_code+5396>, 0x5914ac <exec_byte_code+=
5532>, 0x5914b1 <exec_byte_code+5537>, 0x59147d <exec_byte_code+5485>, 0x59=
1482 <exec_byte_code+5490>, 0x590132 <exec_byte_code+546>, 0x590138 <exec_b=
yte_code+552>, 0x5907ea <exec_byte_code+2266>, 0x591487 <exec_byte_code+549=
5>, 0x590977 <exec_byte_code+2663>, 0x59097c <exec_byte_code+2668>, 0x5909f=
d <exec_byte_code+2797>, 0x590a02 <exec_byte_code+2802>, 0x5901ac <exec_byt=
e_code+668>, 0x5901b0 <exec_byte_code+672>, 0x5909a6 <exec_byte_code+2710>,=
 0x590981 <exec_byte_code+2673>, 0x590a2c <exec_byte_code+2844>, 0x590a31 <=
exec_byte_code+2849>, 0x590a36 <exec_byte_code+2854>, 0x590a45 <exec_byte_c=
ode+2869>, 0x590221 <exec_byte_code+785>, 0x590228 <exec_byte_code+792>, 0x=
5909e9 <exec_byte_code+2777>, 0x590a07 <exec_byte_code+2807>, 0x590a8e <exe=
c_byte_code+2942>, 0x590a93 <exec_byte_code+2947>, 0x590a98 <exec_byte_code=
+2952>, 0x590aa5 <exec_byte_code+2965>, 0x590267 <exec_byte_code+855>, 0x59=
0270 <exec_byte_code+864>, 0x590a55 <exec_byte_code+2885>, 0x590a69 <exec_b=
yte_code+2905>, 0x590395 <exec_byte_code+1157>, 0x59039a <exec_byte_code+11=
62>, 0x59039f <exec_byte_code+1167>, 0x590ac9 <exec_byte_code+3001>, 0x5902=
b0 <exec_byte_code+928>, 0x5902b0 <exec_byte_code+928>, 0x590ab5 <exec_byte=
_code+2981>, 0x590370 <exec_byte_code+1120>, 0x5912cb <exec_byte_code+5051>=
, 0x5912c0 <exec_byte_code+5040>, 0x5911c6 <exec_byte_code+4790>, 0x590321 =
<exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_=
code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>,=
 0x59163a <exec_byte_code+5930>, 0x5916dc <exec_byte_code+6092>, 0x591717 <=
exec_byte_code+6151>, 0x591752 <exec_byte_code+6210>, 0x59178d <exec_byte_c=
ode+6269>, 0x5908b6 <exec_byte_code+2470>, 0x5908f8 <exec_byte_code+2536>, =
0x5917d6 <exec_byte_code+6342>, 0x590877 <exec_byte_code+2407>, 0x590938 <e=
xec_byte_code+2600>, 0x59180b <exec_byte_code+6395>, 0x59184b <exec_byte_co=
de+6459>, 0x59187a <exec_byte_code+6506>, 0x5918ba <exec_byte_code+6570>, 0=
x5918f7 <exec_byte_code+6631>, 0x591981 <exec_byte_code+6769>, 0x5919b0 <ex=
ec_byte_code+6816>, 0x5919f0 <exec_byte_code+6880>, 0x591a34 <exec_byte_cod=
e+6948>, 0x591a63 <exec_byte_code+6995>, 0x591a92 <exec_byte_code+7042>, 0x=
591ad2 <exec_byte_code+7106>, 0x591b12 <exec_byte_code+7170>, 0x591b52 <exe=
c_byte_code+7234>, 0x591b96 <exec_byte_code+7302>, 0x591bd3 <exec_byte_code=
+7363>, 0x591c10 <exec_byte_code+7424>, 0x591c9a <exec_byte_code+7562>, 0x5=
91cda <exec_byte_code+7626>, 0x591d16 <exec_byte_code+7686>, 0x591dea <exec=
_byte_code+7898>, 0x591d60 <exec_byte_code+7760>, 0x591da5 <exec_byte_code+=
7829>, 0x591e2f <exec_byte_code+7967>, 0x591e74 <exec_byte_code+8036>, 0x59=
1eb1 <exec_byte_code+8097>, 0x591ee6 <exec_byte_code+8150>, 0x591f23 <exec_=
byte_code+8211>, 0x591f60 <exec_byte_code+8272>, 0x591f9d <exec_byte_code+8=
333>, 0x592057 <exec_byte_code+8519>, 0x5902f3 <exec_byte_code+995>, 0x5920=
95 <exec_byte_code+8581>, 0x5920c4 <exec_byte_code+8628>, 0x592142 <exec_by=
te_code+8754>, 0x592180 <exec_byte_code+8816>, 0x5921be <exec_byte_code+887=
8>, 0x5921ed <exec_byte_code+8925>, 0x592222 <exec_byte_code+8978>, 0x59225=
3 <exec_byte_code+9027>, 0x592288 <exec_byte_code+9080>, 0x590321 <exec_byt=
e_code+1041>, 0x5922be <exec_byte_code+9134>, 0x5922f3 <exec_byte_code+9187=
>, 0x592328 <exec_byte_code+9240>, 0x59235d <exec_byte_code+9293>, 0x592392=
 <exec_byte_code+9346>, 0x5923c7 <exec_byte_code+9399>, 0x5902f3 <exec_byte=
_code+995>, 0x590321 <exec_byte_code+1041>, 0x5923f6 <exec_byte_code+9446>,=
 0x59243d <exec_byte_code+9517>, 0x59246c <exec_byte_code+9564>, 0x59249b <=
exec_byte_code+9611>, 0x5924db <exec_byte_code+9675>, 0x59251b <exec_byte_c=
ode+9739>, 0x590d51 <exec_byte_code+3649>, 0x590e34 <exec_byte_code+3876>, =
0x592784 <exec_byte_code+10356>, 0x5927c4 <exec_byte_code+10420>, 0x590e74 =
<exec_byte_code+3940>, 0x590ea9 <exec_byte_code+3993>, 0x590321 <exec_byte_=
code+1041>, 0x5910ff <exec_byte_code+4591>, 0x5903a5 <exec_byte_code+1173>,=
 0x5907fe <exec_byte_code+2286>, 0x590625 <exec_byte_code+1813>, 0x5904b2 <=
exec_byte_code+1442>, 0x590740 <exec_byte_code+2096>, 0x59109c <exec_byte_c=
ode+4492>, 0x5910de <exec_byte_code+4558>, 0x5909ba <exec_byte_code+2730>, =
0x590fdc <exec_byte_code+4300>, 0x590f77 <exec_byte_code+4199>, 0x591153 <e=
xec_byte_code+4675>, 0x591181 <exec_byte_code+4721>, 0x5912f9 <exec_byte_co=
de+5097>, 0x59134a <exec_byte_code+5178>, 0x59138e <exec_byte_code+5246>, 0=
x5915d9 <exec_byte_code+5833>, 0x590f4b <exec_byte_code+4155>, 0x590ed8 <ex=
ec_byte_code+4040>, 0x590f1c <exec_byte_code+4108>, 0x59254a <exec_byte_cod=
e+9786>, 0x592579 <exec_byte_code+9833>, 0x5925a8 <exec_byte_code+9880>, 0x=
5925d7 <exec_byte_code+9927>, 0x592617 <exec_byte_code+9991>, 0x592657 <exe=
c_byte_code+10055>, 0x592697 <exec_byte_code+10119>, 0x5926d7 <exec_byte_co=
de+10183>, 0x590b65 <exec_byte_code+3157>, 0x590ba5 <exec_byte_code+3221>, =
0x590be5 <exec_byte_code+3285>, 0x590c14 <exec_byte_code+3332>, 0x590c54 <e=
xec_byte_code+3396>, 0x590c94 <exec_byte_code+3460>, 0x590cd4 <exec_byte_co=
de+3524>, 0x590d14 <exec_byte_code+3588>, 0x591fda <exec_byte_code+8394>, 0=
x592017 <exec_byte_code+8455>, 0x590ace <exec_byte_code+3006>, 0x590b13 <ex=
ec_byte_code+3075>, 0x590321 <exec_byte_code+1041>, 0x590435 <exec_byte_cod=
e+1317>, 0x5906d6 <exec_byte_code+1990>, 0x590525 <exec_byte_code+1557>, 0x=
5905bf <exec_byte_code+1711>, 0x59100a <exec_byte_code+4346>, 0x591934 <exe=
c_byte_code+6692>, 0x591c4d <exec_byte_code+7485>, 0x5920f5 <exec_byte_code=
+8677>, 0x5914b6 <exec_byte_code+5542>, 0x5914fe <exec_byte_code+5614>, 0x5=
90321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x591556 <exec=
_byte_code+5702>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+=
1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x59=
0321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_=
byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1=
041>, 0x5915a1 <exec_byte_code+5777> <repeats 64 times>}
        count =3D 38
        stack =3D {pc =3D 0x11a0a3f "@\207\311 \211\032\205F", byte_string =
=3D 140737085895969, byte_string_start =3D 0x11a0a28 "\b\304W\203\b", next =
=3D 0x7fffffffd3a0}
        result =3D 0
        type =3D (unknown: 4)
#4  0x000000000055b321 in funcall_lambda (fun=3Dfun@entry=3D11330205, nargs=
=3Dnargs@entry=3D1, arg_vector=3Darg_vector@entry=3D0x7fffffffd0a0) at eval=
.c:3044
        val =3D <optimized out>
        syms_left =3D 10195826
        next =3D 10195826
        lexenv =3D 10195826
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#5  0x000000000055a793 in apply_lambda (fun=3D11330205, args=3D<optimized o=
ut>) at eval.c:2919
        args_left =3D 10195826
        i =3D <optimized out>
        numargs =3D 1
        arg_vector =3D 0x7fffffffd0a0
        tem =3D <optimized out>
        sa_must_free =3D <optimized out>
#6  0x000000000055aadb in eval_sub (form=3D<optimized out>) at eval.c:2255
        fun =3D <optimized out>
        val =3D <optimized out>
        original_fun =3D 14845570
        original_args =3D 13644262
        funcar =3D -1
#7  0x000000000057a749 in readevalloop_eager_expand_eval (val=3D<optimized =
out>, val@entry=3D13644278, macroexpand=3Dmacroexpand@entry=3D10565426) at =
lread.c:1784
No locals.
#8  0x000000000057e4d9 in readevalloop (readcharfun=3Dreadcharfun@entry=3D1=
0305189, stream=3Dstream@entry=3D0x0, sourcename=3D12193297, sourcename@ent=
ry=3D12212705, printflag=3Dfalse, unibyte=3Dunibyte@entry=3D10195826, readf=
un=3D10195826, start=3D10195826, end=3D10195826) at lread.c:1956
        c =3D <optimized out>
        val =3D 13644278
        b =3D <optimized out>
        continue_reading_p =3D <optimized out>
        lex_bound =3D <optimized out>
        whole_buffer =3D true
        first_sexp =3D <optimized out>
        macroexpand =3D 10565426
#9  0x000000000057ec16 in Feval_buffer (buffer=3D<optimized out>, printflag=
=3D10195826, filename=3D12212705, unibyte=3D10195826, do_allow_print=3D<opt=
imized out>) at lread.c:2019
        tem =3D 10195826
        buf =3D 10305189
#10 0x000000000055b85c in Ffuncall (nargs=3D<optimized out>, args=3D<optimi=
zed out>) at eval.c:2826
        fun =3D 9567053
        original_fun =3D <optimized out>
        funcar =3D 0
        numargs =3D <optimized out>
        val =3D <optimized out>
        internal_args =3D 0x7fffffffd340
        i =3D <optimized out>
#11 0x000000000059028d in exec_byte_code (bytestr=3D0, vector=3D0, maxdepth=
=3D215, args_template=3D10195826, nargs=3D136, args=3D0x6) at bytecode.c:918
        targets =3D {0x590321 <exec_byte_code+1041>, 0x590b4c <exec_byte_co=
de+3132>, 0x590b51 <exec_byte_code+3137>, 0x590b56 <exec_byte_code+3142>, 0=
x5900f2 <exec_byte_code+482>, 0x5900f8 <exec_byte_code+488>, 0x5913de <exec=
_byte_code+5326>, 0x591424 <exec_byte_code+5396>, 0x5914ac <exec_byte_code+=
5532>, 0x5914b1 <exec_byte_code+5537>, 0x59147d <exec_byte_code+5485>, 0x59=
1482 <exec_byte_code+5490>, 0x590132 <exec_byte_code+546>, 0x590138 <exec_b=
yte_code+552>, 0x5907ea <exec_byte_code+2266>, 0x591487 <exec_byte_code+549=
5>, 0x590977 <exec_byte_code+2663>, 0x59097c <exec_byte_code+2668>, 0x5909f=
d <exec_byte_code+2797>, 0x590a02 <exec_byte_code+2802>, 0x5901ac <exec_byt=
e_code+668>, 0x5901b0 <exec_byte_code+672>, 0x5909a6 <exec_byte_code+2710>,=
 0x590981 <exec_byte_code+2673>, 0x590a2c <exec_byte_code+2844>, 0x590a31 <=
exec_byte_code+2849>, 0x590a36 <exec_byte_code+2854>, 0x590a45 <exec_byte_c=
ode+2869>, 0x590221 <exec_byte_code+785>, 0x590228 <exec_byte_code+792>, 0x=
5909e9 <exec_byte_code+2777>, 0x590a07 <exec_byte_code+2807>, 0x590a8e <exe=
c_byte_code+2942>, 0x590a93 <exec_byte_code+2947>, 0x590a98 <exec_byte_code=
+2952>, 0x590aa5 <exec_byte_code+2965>, 0x590267 <exec_byte_code+855>, 0x59=
0270 <exec_byte_code+864>, 0x590a55 <exec_byte_code+2885>, 0x590a69 <exec_b=
yte_code+2905>, 0x590395 <exec_byte_code+1157>, 0x59039a <exec_byte_code+11=
62>, 0x59039f <exec_byte_code+1167>, 0x590ac9 <exec_byte_code+3001>, 0x5902=
b0 <exec_byte_code+928>, 0x5902b0 <exec_byte_code+928>, 0x590ab5 <exec_byte=
_code+2981>, 0x590370 <exec_byte_code+1120>, 0x5912cb <exec_byte_code+5051>=
, 0x5912c0 <exec_byte_code+5040>, 0x5911c6 <exec_byte_code+4790>, 0x590321 =
<exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_=
code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>,=
 0x59163a <exec_byte_code+5930>, 0x5916dc <exec_byte_code+6092>, 0x591717 <=
exec_byte_code+6151>, 0x591752 <exec_byte_code+6210>, 0x59178d <exec_byte_c=
ode+6269>, 0x5908b6 <exec_byte_code+2470>, 0x5908f8 <exec_byte_code+2536>, =
0x5917d6 <exec_byte_code+6342>, 0x590877 <exec_byte_code+2407>, 0x590938 <e=
xec_byte_code+2600>, 0x59180b <exec_byte_code+6395>, 0x59184b <exec_byte_co=
de+6459>, 0x59187a <exec_byte_code+6506>, 0x5918ba <exec_byte_code+6570>, 0=
x5918f7 <exec_byte_code+6631>, 0x591981 <exec_byte_code+6769>, 0x5919b0 <ex=
ec_byte_code+6816>, 0x5919f0 <exec_byte_code+6880>, 0x591a34 <exec_byte_cod=
e+6948>, 0x591a63 <exec_byte_code+6995>, 0x591a92 <exec_byte_code+7042>, 0x=
591ad2 <exec_byte_code+7106>, 0x591b12 <exec_byte_code+7170>, 0x591b52 <exe=
c_byte_code+7234>, 0x591b96 <exec_byte_code+7302>, 0x591bd3 <exec_byte_code=
+7363>, 0x591c10 <exec_byte_code+7424>, 0x591c9a <exec_byte_code+7562>, 0x5=
91cda <exec_byte_code+7626>, 0x591d16 <exec_byte_code+7686>, 0x591dea <exec=
_byte_code+7898>, 0x591d60 <exec_byte_code+7760>, 0x591da5 <exec_byte_code+=
7829>, 0x591e2f <exec_byte_code+7967>, 0x591e74 <exec_byte_code+8036>, 0x59=
1eb1 <exec_byte_code+8097>, 0x591ee6 <exec_byte_code+8150>, 0x591f23 <exec_=
byte_code+8211>, 0x591f60 <exec_byte_code+8272>, 0x591f9d <exec_byte_code+8=
333>, 0x592057 <exec_byte_code+8519>, 0x5902f3 <exec_byte_code+995>, 0x5920=
95 <exec_byte_code+8581>, 0x5920c4 <exec_byte_code+8628>, 0x592142 <exec_by=
te_code+8754>, 0x592180 <exec_byte_code+8816>, 0x5921be <exec_byte_code+887=
8>, 0x5921ed <exec_byte_code+8925>, 0x592222 <exec_byte_code+8978>, 0x59225=
3 <exec_byte_code+9027>, 0x592288 <exec_byte_code+9080>, 0x590321 <exec_byt=
e_code+1041>, 0x5922be <exec_byte_code+9134>, 0x5922f3 <exec_byte_code+9187=
>, 0x592328 <exec_byte_code+9240>, 0x59235d <exec_byte_code+9293>, 0x592392=
 <exec_byte_code+9346>, 0x5923c7 <exec_byte_code+9399>, 0x5902f3 <exec_byte=
_code+995>, 0x590321 <exec_byte_code+1041>, 0x5923f6 <exec_byte_code+9446>,=
 0x59243d <exec_byte_code+9517>, 0x59246c <exec_byte_code+9564>, 0x59249b <=
exec_byte_code+9611>, 0x5924db <exec_byte_code+9675>, 0x59251b <exec_byte_c=
ode+9739>, 0x590d51 <exec_byte_code+3649>, 0x590e34 <exec_byte_code+3876>, =
0x592784 <exec_byte_code+10356>, 0x5927c4 <exec_byte_code+10420>, 0x590e74 =
<exec_byte_code+3940>, 0x590ea9 <exec_byte_code+3993>, 0x590321 <exec_byte_=
code+1041>, 0x5910ff <exec_byte_code+4591>, 0x5903a5 <exec_byte_code+1173>,=
 0x5907fe <exec_byte_code+2286>, 0x590625 <exec_byte_code+1813>, 0x5904b2 <=
exec_byte_code+1442>, 0x590740 <exec_byte_code+2096>, 0x59109c <exec_byte_c=
ode+4492>, 0x5910de <exec_byte_code+4558>, 0x5909ba <exec_byte_code+2730>, =
0x590fdc <exec_byte_code+4300>, 0x590f77 <exec_byte_code+4199>, 0x591153 <e=
xec_byte_code+4675>, 0x591181 <exec_byte_code+4721>, 0x5912f9 <exec_byte_co=
de+5097>, 0x59134a <exec_byte_code+5178>, 0x59138e <exec_byte_code+5246>, 0=
x5915d9 <exec_byte_code+5833>, 0x590f4b <exec_byte_code+4155>, 0x590ed8 <ex=
ec_byte_code+4040>, 0x590f1c <exec_byte_code+4108>, 0x59254a <exec_byte_cod=
e+9786>, 0x592579 <exec_byte_code+9833>, 0x5925a8 <exec_byte_code+9880>, 0x=
5925d7 <exec_byte_code+9927>, 0x592617 <exec_byte_code+9991>, 0x592657 <exe=
c_byte_code+10055>, 0x592697 <exec_byte_code+10119>, 0x5926d7 <exec_byte_co=
de+10183>, 0x590b65 <exec_byte_code+3157>, 0x590ba5 <exec_byte_code+3221>, =
0x590be5 <exec_byte_code+3285>, 0x590c14 <exec_byte_code+3332>, 0x590c54 <e=
xec_byte_code+3396>, 0x590c94 <exec_byte_code+3460>, 0x590cd4 <exec_byte_co=
de+3524>, 0x590d14 <exec_byte_code+3588>, 0x591fda <exec_byte_code+8394>, 0=
x592017 <exec_byte_code+8455>, 0x590ace <exec_byte_code+3006>, 0x590b13 <ex=
ec_byte_code+3075>, 0x590321 <exec_byte_code+1041>, 0x590435 <exec_byte_cod=
e+1317>, 0x5906d6 <exec_byte_code+1990>, 0x590525 <exec_byte_code+1557>, 0x=
5905bf <exec_byte_code+1711>, 0x59100a <exec_byte_code+4346>, 0x591934 <exe=
c_byte_code+6692>, 0x591c4d <exec_byte_code+7485>, 0x5920f5 <exec_byte_code=
+8677>, 0x5914b6 <exec_byte_code+5542>, 0x5914fe <exec_byte_code+5614>, 0x5=
90321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x591556 <exec=
_byte_code+5702>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+=
1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x59=
0321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_=
byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1=
041>, 0x5915a1 <exec_byte_code+5777> <repeats 64 times>}
        count =3D 20
        stack =3D {pc =3D 0x90e4bb <pure+2963835> "\210,\336\b!\210\016\"\2=
04\256", byte_string =3D 6720489, byte_string_start =3D 0x90e42f <pure+2963=
695> "\306\b!\204\022", next =3D 0x7fffffffd850}
        result =3D 0
        type =3D (unknown: 6)
#12 0x000000000055b321 in funcall_lambda (fun=3D6720365, nargs=3Dnargs@entr=
y=3D4, arg_vector=3Darg_vector@entry=3D0x7fffffffd4c8) at eval.c:3044
        val =3D <optimized out>
        syms_left =3D 10195826
        next =3D 10195826
        lexenv =3D 10195826
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#13 0x000000000055b683 in Ffuncall (nargs=3Dnargs@entry=3D5, args=3Dargs@en=
try=3D0x7fffffffd4c0) at eval.c:2871
        fun =3D <optimized out>
        original_fun =3D 10570898
        funcar =3D 0
        numargs =3D 4
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
#14 0x000000000055b9d9 in call4 (fn=3D<optimized out>, arg1=3Darg1@entry=3D=
12212705, arg2=3Darg2@entry=3D12212705, arg3=3D<optimized out>, arg4=3D<opt=
imized out>) at eval.c:2658
        ret_ungc_val =3D 0
        args =3D {10570898, 12212705, 12212705, 10195826, 10195874}
#15 0x000000000057ef78 in Fload (file=3D10721153, noerror=3D10195826, nomes=
sage=3D10195874, nosuffix=3D<optimized out>, must_suffix=3D<optimized out>)=
 at lread.c:1305
        val =3D <optimized out>
        stream =3D <optimized out>
        fd =3D 11
        fd_index =3D 10
        found =3D 12212705
        efound =3D <optimized out>
        hist_file_name =3D 12212705
        newer =3D false
        compiled =3D false
        handler =3D <optimized out>
        safe_p =3D true
        fmode =3D 0x5dd778 "r"
        version =3D <optimized out>
#16 0x000000000055b85c in Ffuncall (nargs=3D<optimized out>, args=3D<optimi=
zed out>) at eval.c:2826
        fun =3D 9567005
        original_fun =3D <optimized out>
        funcar =3D 0
        numargs =3D <optimized out>
        val =3D <optimized out>
        internal_args =3D 0x7fffffffd6d0
        i =3D <optimized out>
#17 0x000000000059028d in exec_byte_code (bytestr=3D0, vector=3D0, maxdepth=
=3D215, args_template=3D1028, nargs=3D233, args=3D0x4) at bytecode.c:918
        targets =3D {0x590321 <exec_byte_code+1041>, 0x590b4c <exec_byte_co=
de+3132>, 0x590b51 <exec_byte_code+3137>, 0x590b56 <exec_byte_code+3142>, 0=
x5900f2 <exec_byte_code+482>, 0x5900f8 <exec_byte_code+488>, 0x5913de <exec=
_byte_code+5326>, 0x591424 <exec_byte_code+5396>, 0x5914ac <exec_byte_code+=
5532>, 0x5914b1 <exec_byte_code+5537>, 0x59147d <exec_byte_code+5485>, 0x59=
1482 <exec_byte_code+5490>, 0x590132 <exec_byte_code+546>, 0x590138 <exec_b=
yte_code+552>, 0x5907ea <exec_byte_code+2266>, 0x591487 <exec_byte_code+549=
5>, 0x590977 <exec_byte_code+2663>, 0x59097c <exec_byte_code+2668>, 0x5909f=
d <exec_byte_code+2797>, 0x590a02 <exec_byte_code+2802>, 0x5901ac <exec_byt=
e_code+668>, 0x5901b0 <exec_byte_code+672>, 0x5909a6 <exec_byte_code+2710>,=
 0x590981 <exec_byte_code+2673>, 0x590a2c <exec_byte_code+2844>, 0x590a31 <=
exec_byte_code+2849>, 0x590a36 <exec_byte_code+2854>, 0x590a45 <exec_byte_c=
ode+2869>, 0x590221 <exec_byte_code+785>, 0x590228 <exec_byte_code+792>, 0x=
5909e9 <exec_byte_code+2777>, 0x590a07 <exec_byte_code+2807>, 0x590a8e <exe=
c_byte_code+2942>, 0x590a93 <exec_byte_code+2947>, 0x590a98 <exec_byte_code=
+2952>, 0x590aa5 <exec_byte_code+2965>, 0x590267 <exec_byte_code+855>, 0x59=
0270 <exec_byte_code+864>, 0x590a55 <exec_byte_code+2885>, 0x590a69 <exec_b=
yte_code+2905>, 0x590395 <exec_byte_code+1157>, 0x59039a <exec_byte_code+11=
62>, 0x59039f <exec_byte_code+1167>, 0x590ac9 <exec_byte_code+3001>, 0x5902=
b0 <exec_byte_code+928>, 0x5902b0 <exec_byte_code+928>, 0x590ab5 <exec_byte=
_code+2981>, 0x590370 <exec_byte_code+1120>, 0x5912cb <exec_byte_code+5051>=
, 0x5912c0 <exec_byte_code+5040>, 0x5911c6 <exec_byte_code+4790>, 0x590321 =
<exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_=
code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>,=
 0x59163a <exec_byte_code+5930>, 0x5916dc <exec_byte_code+6092>, 0x591717 <=
exec_byte_code+6151>, 0x591752 <exec_byte_code+6210>, 0x59178d <exec_byte_c=
ode+6269>, 0x5908b6 <exec_byte_code+2470>, 0x5908f8 <exec_byte_code+2536>, =
0x5917d6 <exec_byte_code+6342>, 0x590877 <exec_byte_code+2407>, 0x590938 <e=
xec_byte_code+2600>, 0x59180b <exec_byte_code+6395>, 0x59184b <exec_byte_co=
de+6459>, 0x59187a <exec_byte_code+6506>, 0x5918ba <exec_byte_code+6570>, 0=
x5918f7 <exec_byte_code+6631>, 0x591981 <exec_byte_code+6769>, 0x5919b0 <ex=
ec_byte_code+6816>, 0x5919f0 <exec_byte_code+6880>, 0x591a34 <exec_byte_cod=
e+6948>, 0x591a63 <exec_byte_code+6995>, 0x591a92 <exec_byte_code+7042>, 0x=
591ad2 <exec_byte_code+7106>, 0x591b12 <exec_byte_code+7170>, 0x591b52 <exe=
c_byte_code+7234>, 0x591b96 <exec_byte_code+7302>, 0x591bd3 <exec_byte_code=
+7363>, 0x591c10 <exec_byte_code+7424>, 0x591c9a <exec_byte_code+7562>, 0x5=
91cda <exec_byte_code+7626>, 0x591d16 <exec_byte_code+7686>, 0x591dea <exec=
_byte_code+7898>, 0x591d60 <exec_byte_code+7760>, 0x591da5 <exec_byte_code+=
7829>, 0x591e2f <exec_byte_code+7967>, 0x591e74 <exec_byte_code+8036>, 0x59=
1eb1 <exec_byte_code+8097>, 0x591ee6 <exec_byte_code+8150>, 0x591f23 <exec_=
byte_code+8211>, 0x591f60 <exec_byte_code+8272>, 0x591f9d <exec_byte_code+8=
333>, 0x592057 <exec_byte_code+8519>, 0x5902f3 <exec_byte_code+995>, 0x5920=
95 <exec_byte_code+8581>, 0x5920c4 <exec_byte_code+8628>, 0x592142 <exec_by=
te_code+8754>, 0x592180 <exec_byte_code+8816>, 0x5921be <exec_byte_code+887=
8>, 0x5921ed <exec_byte_code+8925>, 0x592222 <exec_byte_code+8978>, 0x59225=
3 <exec_byte_code+9027>, 0x592288 <exec_byte_code+9080>, 0x590321 <exec_byt=
e_code+1041>, 0x5922be <exec_byte_code+9134>, 0x5922f3 <exec_byte_code+9187=
>, 0x592328 <exec_byte_code+9240>, 0x59235d <exec_byte_code+9293>, 0x592392=
 <exec_byte_code+9346>, 0x5923c7 <exec_byte_code+9399>, 0x5902f3 <exec_byte=
_code+995>, 0x590321 <exec_byte_code+1041>, 0x5923f6 <exec_byte_code+9446>,=
 0x59243d <exec_byte_code+9517>, 0x59246c <exec_byte_code+9564>, 0x59249b <=
exec_byte_code+9611>, 0x5924db <exec_byte_code+9675>, 0x59251b <exec_byte_c=
ode+9739>, 0x590d51 <exec_byte_code+3649>, 0x590e34 <exec_byte_code+3876>, =
0x592784 <exec_byte_code+10356>, 0x5927c4 <exec_byte_code+10420>, 0x590e74 =
<exec_byte_code+3940>, 0x590ea9 <exec_byte_code+3993>, 0x590321 <exec_byte_=
code+1041>, 0x5910ff <exec_byte_code+4591>, 0x5903a5 <exec_byte_code+1173>,=
 0x5907fe <exec_byte_code+2286>, 0x590625 <exec_byte_code+1813>, 0x5904b2 <=
exec_byte_code+1442>, 0x590740 <exec_byte_code+2096>, 0x59109c <exec_byte_c=
ode+4492>, 0x5910de <exec_byte_code+4558>, 0x5909ba <exec_byte_code+2730>, =
0x590fdc <exec_byte_code+4300>, 0x590f77 <exec_byte_code+4199>, 0x591153 <e=
xec_byte_code+4675>, 0x591181 <exec_byte_code+4721>, 0x5912f9 <exec_byte_co=
de+5097>, 0x59134a <exec_byte_code+5178>, 0x59138e <exec_byte_code+5246>, 0=
x5915d9 <exec_byte_code+5833>, 0x590f4b <exec_byte_code+4155>, 0x590ed8 <ex=
ec_byte_code+4040>, 0x590f1c <exec_byte_code+4108>, 0x59254a <exec_byte_cod=
e+9786>, 0x592579 <exec_byte_code+9833>, 0x5925a8 <exec_byte_code+9880>, 0x=
5925d7 <exec_byte_code+9927>, 0x592617 <exec_byte_code+9991>, 0x592657 <exe=
c_byte_code+10055>, 0x592697 <exec_byte_code+10119>, 0x5926d7 <exec_byte_co=
de+10183>, 0x590b65 <exec_byte_code+3157>, 0x590ba5 <exec_byte_code+3221>, =
0x590be5 <exec_byte_code+3285>, 0x590c14 <exec_byte_code+3332>, 0x590c54 <e=
xec_byte_code+3396>, 0x590c94 <exec_byte_code+3460>, 0x590cd4 <exec_byte_co=
de+3524>, 0x590d14 <exec_byte_code+3588>, 0x591fda <exec_byte_code+8394>, 0=
x592017 <exec_byte_code+8455>, 0x590ace <exec_byte_code+3006>, 0x590b13 <ex=
ec_byte_code+3075>, 0x590321 <exec_byte_code+1041>, 0x590435 <exec_byte_cod=
e+1317>, 0x5906d6 <exec_byte_code+1990>, 0x590525 <exec_byte_code+1557>, 0x=
5905bf <exec_byte_code+1711>, 0x59100a <exec_byte_code+4346>, 0x591934 <exe=
c_byte_code+6692>, 0x591c4d <exec_byte_code+7485>, 0x5920f5 <exec_byte_code=
+8677>, 0x5914b6 <exec_byte_code+5542>, 0x5914fe <exec_byte_code+5614>, 0x5=
90321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x591556 <exec=
_byte_code+5702>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+=
1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x59=
0321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_=
byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1=
041>, 0x5915a1 <exec_byte_code+5777> <repeats 64 times>}
        count =3D 7
        stack =3D {pc =3D 0x8e043b <pure+2775291> "\266\003\202\274\003\016=
A=ED=9D=83\023\002\351\002\206\004\002\n\211A\022\242!\350\001!\354\001\314=
=D9=89$\266\003\202\274\003\016A=EE=9A=83<\002\331\026B\001\206&\002\n\211A=
\022\242\262\t\006\b;\204\062\002\332\357!\210\360\351\006\n!!\210\202\274\=
003\016A\361\232\203J\002\362\331!\210\202\274\003\016A\363\232\203X\002\36=
4\365!\210\202\274\003\321\366\016A\"\203i\002\367\016A!\262\005\202\274\00=
3\321\370\016A\"\203\206\002\367\325\326\016A\"!\262\005\367\325\371\016A\"=
!\262\004\202\274\003\334\003\r\"\211\262\n\203\232\002\006\bA@\n\233\022\2=
02\274\003\334\003\016@\"\211\262\n\203\257\002\006\bA@\n\233\022\202\274\0=
03\016A\372\235\203\022\003"..., byte_string =3D 7127553, byte_string_start=
 =3D 0x8e024d <pure+2774797> "\306 \210\b\203\021", next =3D 0x7fffffffd9c0}
        result =3D 0
        type =3D (CONDITION_CASE | unknown: 22)
#18 0x000000000055b3b7 in funcall_lambda (fun=3D140737488345064, nargs=3Dna=
rgs@entry=3D1, arg_vector=3D0x6cc220 <pure+595680>, arg_vector@entry=3D0x7f=
ffffffd910) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        next =3D 0
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#19 0x000000000055b683 in Ffuncall (nargs=3D2, args=3D0x7fffffffd908) at ev=
al.c:2871
        fun =3D <optimized out>
        original_fun =3D 14357474
        funcar =3D 0
        numargs =3D 1
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
#20 0x000000000059028d in exec_byte_code (bytestr=3D0, vector=3D0, maxdepth=
=3D215, args_template=3D0, nargs=3D140737488345352, args=3D0x2) at bytecode=
.c:918
        targets =3D {0x590321 <exec_byte_code+1041>, 0x590b4c <exec_byte_co=
de+3132>, 0x590b51 <exec_byte_code+3137>, 0x590b56 <exec_byte_code+3142>, 0=
x5900f2 <exec_byte_code+482>, 0x5900f8 <exec_byte_code+488>, 0x5913de <exec=
_byte_code+5326>, 0x591424 <exec_byte_code+5396>, 0x5914ac <exec_byte_code+=
5532>, 0x5914b1 <exec_byte_code+5537>, 0x59147d <exec_byte_code+5485>, 0x59=
1482 <exec_byte_code+5490>, 0x590132 <exec_byte_code+546>, 0x590138 <exec_b=
yte_code+552>, 0x5907ea <exec_byte_code+2266>, 0x591487 <exec_byte_code+549=
5>, 0x590977 <exec_byte_code+2663>, 0x59097c <exec_byte_code+2668>, 0x5909f=
d <exec_byte_code+2797>, 0x590a02 <exec_byte_code+2802>, 0x5901ac <exec_byt=
e_code+668>, 0x5901b0 <exec_byte_code+672>, 0x5909a6 <exec_byte_code+2710>,=
 0x590981 <exec_byte_code+2673>, 0x590a2c <exec_byte_code+2844>, 0x590a31 <=
exec_byte_code+2849>, 0x590a36 <exec_byte_code+2854>, 0x590a45 <exec_byte_c=
ode+2869>, 0x590221 <exec_byte_code+785>, 0x590228 <exec_byte_code+792>, 0x=
5909e9 <exec_byte_code+2777>, 0x590a07 <exec_byte_code+2807>, 0x590a8e <exe=
c_byte_code+2942>, 0x590a93 <exec_byte_code+2947>, 0x590a98 <exec_byte_code=
+2952>, 0x590aa5 <exec_byte_code+2965>, 0x590267 <exec_byte_code+855>, 0x59=
0270 <exec_byte_code+864>, 0x590a55 <exec_byte_code+2885>, 0x590a69 <exec_b=
yte_code+2905>, 0x590395 <exec_byte_code+1157>, 0x59039a <exec_byte_code+11=
62>, 0x59039f <exec_byte_code+1167>, 0x590ac9 <exec_byte_code+3001>, 0x5902=
b0 <exec_byte_code+928>, 0x5902b0 <exec_byte_code+928>, 0x590ab5 <exec_byte=
_code+2981>, 0x590370 <exec_byte_code+1120>, 0x5912cb <exec_byte_code+5051>=
, 0x5912c0 <exec_byte_code+5040>, 0x5911c6 <exec_byte_code+4790>, 0x590321 =
<exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_=
code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>,=
 0x59163a <exec_byte_code+5930>, 0x5916dc <exec_byte_code+6092>, 0x591717 <=
exec_byte_code+6151>, 0x591752 <exec_byte_code+6210>, 0x59178d <exec_byte_c=
ode+6269>, 0x5908b6 <exec_byte_code+2470>, 0x5908f8 <exec_byte_code+2536>, =
0x5917d6 <exec_byte_code+6342>, 0x590877 <exec_byte_code+2407>, 0x590938 <e=
xec_byte_code+2600>, 0x59180b <exec_byte_code+6395>, 0x59184b <exec_byte_co=
de+6459>, 0x59187a <exec_byte_code+6506>, 0x5918ba <exec_byte_code+6570>, 0=
x5918f7 <exec_byte_code+6631>, 0x591981 <exec_byte_code+6769>, 0x5919b0 <ex=
ec_byte_code+6816>, 0x5919f0 <exec_byte_code+6880>, 0x591a34 <exec_byte_cod=
e+6948>, 0x591a63 <exec_byte_code+6995>, 0x591a92 <exec_byte_code+7042>, 0x=
591ad2 <exec_byte_code+7106>, 0x591b12 <exec_byte_code+7170>, 0x591b52 <exe=
c_byte_code+7234>, 0x591b96 <exec_byte_code+7302>, 0x591bd3 <exec_byte_code=
+7363>, 0x591c10 <exec_byte_code+7424>, 0x591c9a <exec_byte_code+7562>, 0x5=
91cda <exec_byte_code+7626>, 0x591d16 <exec_byte_code+7686>, 0x591dea <exec=
_byte_code+7898>, 0x591d60 <exec_byte_code+7760>, 0x591da5 <exec_byte_code+=
7829>, 0x591e2f <exec_byte_code+7967>, 0x591e74 <exec_byte_code+8036>, 0x59=
1eb1 <exec_byte_code+8097>, 0x591ee6 <exec_byte_code+8150>, 0x591f23 <exec_=
byte_code+8211>, 0x591f60 <exec_byte_code+8272>, 0x591f9d <exec_byte_code+8=
333>, 0x592057 <exec_byte_code+8519>, 0x5902f3 <exec_byte_code+995>, 0x5920=
95 <exec_byte_code+8581>, 0x5920c4 <exec_byte_code+8628>, 0x592142 <exec_by=
te_code+8754>, 0x592180 <exec_byte_code+8816>, 0x5921be <exec_byte_code+887=
8>, 0x5921ed <exec_byte_code+8925>, 0x592222 <exec_byte_code+8978>, 0x59225=
3 <exec_byte_code+9027>, 0x592288 <exec_byte_code+9080>, 0x590321 <exec_byt=
e_code+1041>, 0x5922be <exec_byte_code+9134>, 0x5922f3 <exec_byte_code+9187=
>, 0x592328 <exec_byte_code+9240>, 0x59235d <exec_byte_code+9293>, 0x592392=
 <exec_byte_code+9346>, 0x5923c7 <exec_byte_code+9399>, 0x5902f3 <exec_byte=
_code+995>, 0x590321 <exec_byte_code+1041>, 0x5923f6 <exec_byte_code+9446>,=
 0x59243d <exec_byte_code+9517>, 0x59246c <exec_byte_code+9564>, 0x59249b <=
exec_byte_code+9611>, 0x5924db <exec_byte_code+9675>, 0x59251b <exec_byte_c=
ode+9739>, 0x590d51 <exec_byte_code+3649>, 0x590e34 <exec_byte_code+3876>, =
0x592784 <exec_byte_code+10356>, 0x5927c4 <exec_byte_code+10420>, 0x590e74 =
<exec_byte_code+3940>, 0x590ea9 <exec_byte_code+3993>, 0x590321 <exec_byte_=
code+1041>, 0x5910ff <exec_byte_code+4591>, 0x5903a5 <exec_byte_code+1173>,=
 0x5907fe <exec_byte_code+2286>, 0x590625 <exec_byte_code+1813>, 0x5904b2 <=
exec_byte_code+1442>, 0x590740 <exec_byte_code+2096>, 0x59109c <exec_byte_c=
ode+4492>, 0x5910de <exec_byte_code+4558>, 0x5909ba <exec_byte_code+2730>, =
0x590fdc <exec_byte_code+4300>, 0x590f77 <exec_byte_code+4199>, 0x591153 <e=
xec_byte_code+4675>, 0x591181 <exec_byte_code+4721>, 0x5912f9 <exec_byte_co=
de+5097>, 0x59134a <exec_byte_code+5178>, 0x59138e <exec_byte_code+5246>, 0=
x5915d9 <exec_byte_code+5833>, 0x590f4b <exec_byte_code+4155>, 0x590ed8 <ex=
ec_byte_code+4040>, 0x590f1c <exec_byte_code+4108>, 0x59254a <exec_byte_cod=
e+9786>, 0x592579 <exec_byte_code+9833>, 0x5925a8 <exec_byte_code+9880>, 0x=
5925d7 <exec_byte_code+9927>, 0x592617 <exec_byte_code+9991>, 0x592657 <exe=
c_byte_code+10055>, 0x592697 <exec_byte_code+10119>, 0x5926d7 <exec_byte_co=
de+10183>, 0x590b65 <exec_byte_code+3157>, 0x590ba5 <exec_byte_code+3221>, =
0x590be5 <exec_byte_code+3285>, 0x590c14 <exec_byte_code+3332>, 0x590c54 <e=
xec_byte_code+3396>, 0x590c94 <exec_byte_code+3460>, 0x590cd4 <exec_byte_co=
de+3524>, 0x590d14 <exec_byte_code+3588>, 0x591fda <exec_byte_code+8394>, 0=
x592017 <exec_byte_code+8455>, 0x590ace <exec_byte_code+3006>, 0x590b13 <ex=
ec_byte_code+3075>, 0x590321 <exec_byte_code+1041>, 0x590435 <exec_byte_cod=
e+1317>, 0x5906d6 <exec_byte_code+1990>, 0x590525 <exec_byte_code+1557>, 0x=
5905bf <exec_byte_code+1711>, 0x59100a <exec_byte_code+4346>, 0x591934 <exe=
c_byte_code+6692>, 0x591c4d <exec_byte_code+7485>, 0x5920f5 <exec_byte_code=
+8677>, 0x5914b6 <exec_byte_code+5542>, 0x5914fe <exec_byte_code+5614>, 0x5=
90321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x591556 <exec=
_byte_code+5702>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+=
1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x59=
0321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_=
byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1=
041>, 0x5915a1 <exec_byte_code+5777> <repeats 64 times>}
        count =3D 6
        stack =3D {pc =3D 0x8e305d <pure+2786589> "\210\307\016@\211\203\n\=
005\211@\002\204\003\005\201\261", byte_string =3D 7101993, byte_string_sta=
rt =3D 0x8e2ba9 <pure+2785385> "\306 \020\307\021\n\023\307\024\310\311!\21=
1\307=3D\204\060", next =3D 0x7fffffffdb10}
        result =3D 0
        type =3D (CONDITION_CASE | unknown: 16)
#21 0x000000000055b3b7 in funcall_lambda (fun=3D140737488345352, nargs=3Dna=
rgs@entry=3D0, arg_vector=3D0x6c5e48 <pure+570120>, arg_vector@entry=3D0x7f=
ffffffda88) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        next =3D 0
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#22 0x000000000055b683 in Ffuncall (nargs=3D1, args=3D0x7fffffffda80) at ev=
al.c:2871
        fun =3D <optimized out>
        original_fun =3D 14356258
        funcar =3D 0
        numargs =3D 0
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
#23 0x000000000059028d in exec_byte_code (bytestr=3D0, vector=3D0, maxdepth=
=3D215, args_template=3D0, nargs=3D140737488345728, args=3D0x1) at bytecode=
.c:918
        targets =3D {0x590321 <exec_byte_code+1041>, 0x590b4c <exec_byte_co=
de+3132>, 0x590b51 <exec_byte_code+3137>, 0x590b56 <exec_byte_code+3142>, 0=
x5900f2 <exec_byte_code+482>, 0x5900f8 <exec_byte_code+488>, 0x5913de <exec=
_byte_code+5326>, 0x591424 <exec_byte_code+5396>, 0x5914ac <exec_byte_code+=
5532>, 0x5914b1 <exec_byte_code+5537>, 0x59147d <exec_byte_code+5485>, 0x59=
1482 <exec_byte_code+5490>, 0x590132 <exec_byte_code+546>, 0x590138 <exec_b=
yte_code+552>, 0x5907ea <exec_byte_code+2266>, 0x591487 <exec_byte_code+549=
5>, 0x590977 <exec_byte_code+2663>, 0x59097c <exec_byte_code+2668>, 0x5909f=
d <exec_byte_code+2797>, 0x590a02 <exec_byte_code+2802>, 0x5901ac <exec_byt=
e_code+668>, 0x5901b0 <exec_byte_code+672>, 0x5909a6 <exec_byte_code+2710>,=
 0x590981 <exec_byte_code+2673>, 0x590a2c <exec_byte_code+2844>, 0x590a31 <=
exec_byte_code+2849>, 0x590a36 <exec_byte_code+2854>, 0x590a45 <exec_byte_c=
ode+2869>, 0x590221 <exec_byte_code+785>, 0x590228 <exec_byte_code+792>, 0x=
5909e9 <exec_byte_code+2777>, 0x590a07 <exec_byte_code+2807>, 0x590a8e <exe=
c_byte_code+2942>, 0x590a93 <exec_byte_code+2947>, 0x590a98 <exec_byte_code=
+2952>, 0x590aa5 <exec_byte_code+2965>, 0x590267 <exec_byte_code+855>, 0x59=
0270 <exec_byte_code+864>, 0x590a55 <exec_byte_code+2885>, 0x590a69 <exec_b=
yte_code+2905>, 0x590395 <exec_byte_code+1157>, 0x59039a <exec_byte_code+11=
62>, 0x59039f <exec_byte_code+1167>, 0x590ac9 <exec_byte_code+3001>, 0x5902=
b0 <exec_byte_code+928>, 0x5902b0 <exec_byte_code+928>, 0x590ab5 <exec_byte=
_code+2981>, 0x590370 <exec_byte_code+1120>, 0x5912cb <exec_byte_code+5051>=
, 0x5912c0 <exec_byte_code+5040>, 0x5911c6 <exec_byte_code+4790>, 0x590321 =
<exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_=
code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>,=
 0x59163a <exec_byte_code+5930>, 0x5916dc <exec_byte_code+6092>, 0x591717 <=
exec_byte_code+6151>, 0x591752 <exec_byte_code+6210>, 0x59178d <exec_byte_c=
ode+6269>, 0x5908b6 <exec_byte_code+2470>, 0x5908f8 <exec_byte_code+2536>, =
0x5917d6 <exec_byte_code+6342>, 0x590877 <exec_byte_code+2407>, 0x590938 <e=
xec_byte_code+2600>, 0x59180b <exec_byte_code+6395>, 0x59184b <exec_byte_co=
de+6459>, 0x59187a <exec_byte_code+6506>, 0x5918ba <exec_byte_code+6570>, 0=
x5918f7 <exec_byte_code+6631>, 0x591981 <exec_byte_code+6769>, 0x5919b0 <ex=
ec_byte_code+6816>, 0x5919f0 <exec_byte_code+6880>, 0x591a34 <exec_byte_cod=
e+6948>, 0x591a63 <exec_byte_code+6995>, 0x591a92 <exec_byte_code+7042>, 0x=
591ad2 <exec_byte_code+7106>, 0x591b12 <exec_byte_code+7170>, 0x591b52 <exe=
c_byte_code+7234>, 0x591b96 <exec_byte_code+7302>, 0x591bd3 <exec_byte_code=
+7363>, 0x591c10 <exec_byte_code+7424>, 0x591c9a <exec_byte_code+7562>, 0x5=
91cda <exec_byte_code+7626>, 0x591d16 <exec_byte_code+7686>, 0x591dea <exec=
_byte_code+7898>, 0x591d60 <exec_byte_code+7760>, 0x591da5 <exec_byte_code+=
7829>, 0x591e2f <exec_byte_code+7967>, 0x591e74 <exec_byte_code+8036>, 0x59=
1eb1 <exec_byte_code+8097>, 0x591ee6 <exec_byte_code+8150>, 0x591f23 <exec_=
byte_code+8211>, 0x591f60 <exec_byte_code+8272>, 0x591f9d <exec_byte_code+8=
333>, 0x592057 <exec_byte_code+8519>, 0x5902f3 <exec_byte_code+995>, 0x5920=
95 <exec_byte_code+8581>, 0x5920c4 <exec_byte_code+8628>, 0x592142 <exec_by=
te_code+8754>, 0x592180 <exec_byte_code+8816>, 0x5921be <exec_byte_code+887=
8>, 0x5921ed <exec_byte_code+8925>, 0x592222 <exec_byte_code+8978>, 0x59225=
3 <exec_byte_code+9027>, 0x592288 <exec_byte_code+9080>, 0x590321 <exec_byt=
e_code+1041>, 0x5922be <exec_byte_code+9134>, 0x5922f3 <exec_byte_code+9187=
>, 0x592328 <exec_byte_code+9240>, 0x59235d <exec_byte_code+9293>, 0x592392=
 <exec_byte_code+9346>, 0x5923c7 <exec_byte_code+9399>, 0x5902f3 <exec_byte=
_code+995>, 0x590321 <exec_byte_code+1041>, 0x5923f6 <exec_byte_code+9446>,=
 0x59243d <exec_byte_code+9517>, 0x59246c <exec_byte_code+9564>, 0x59249b <=
exec_byte_code+9611>, 0x5924db <exec_byte_code+9675>, 0x59251b <exec_byte_c=
ode+9739>, 0x590d51 <exec_byte_code+3649>, 0x590e34 <exec_byte_code+3876>, =
0x592784 <exec_byte_code+10356>, 0x5927c4 <exec_byte_code+10420>, 0x590e74 =
<exec_byte_code+3940>, 0x590ea9 <exec_byte_code+3993>, 0x590321 <exec_byte_=
code+1041>, 0x5910ff <exec_byte_code+4591>, 0x5903a5 <exec_byte_code+1173>,=
 0x5907fe <exec_byte_code+2286>, 0x590625 <exec_byte_code+1813>, 0x5904b2 <=
exec_byte_code+1442>, 0x590740 <exec_byte_code+2096>, 0x59109c <exec_byte_c=
ode+4492>, 0x5910de <exec_byte_code+4558>, 0x5909ba <exec_byte_code+2730>, =
0x590fdc <exec_byte_code+4300>, 0x590f77 <exec_byte_code+4199>, 0x591153 <e=
xec_byte_code+4675>, 0x591181 <exec_byte_code+4721>, 0x5912f9 <exec_byte_co=
de+5097>, 0x59134a <exec_byte_code+5178>, 0x59138e <exec_byte_code+5246>, 0=
x5915d9 <exec_byte_code+5833>, 0x590f4b <exec_byte_code+4155>, 0x590ed8 <ex=
ec_byte_code+4040>, 0x590f1c <exec_byte_code+4108>, 0x59254a <exec_byte_cod=
e+9786>, 0x592579 <exec_byte_code+9833>, 0x5925a8 <exec_byte_code+9880>, 0x=
5925d7 <exec_byte_code+9927>, 0x592617 <exec_byte_code+9991>, 0x592657 <exe=
c_byte_code+10055>, 0x592697 <exec_byte_code+10119>, 0x5926d7 <exec_byte_co=
de+10183>, 0x590b65 <exec_byte_code+3157>, 0x590ba5 <exec_byte_code+3221>, =
0x590be5 <exec_byte_code+3285>, 0x590c14 <exec_byte_code+3332>, 0x590c54 <e=
xec_byte_code+3396>, 0x590c94 <exec_byte_code+3460>, 0x590cd4 <exec_byte_co=
de+3524>, 0x590d14 <exec_byte_code+3588>, 0x591fda <exec_byte_code+8394>, 0=
x592017 <exec_byte_code+8455>, 0x590ace <exec_byte_code+3006>, 0x590b13 <ex=
ec_byte_code+3075>, 0x590321 <exec_byte_code+1041>, 0x590435 <exec_byte_cod=
e+1317>, 0x5906d6 <exec_byte_code+1990>, 0x590525 <exec_byte_code+1557>, 0x=
5905bf <exec_byte_code+1711>, 0x59100a <exec_byte_code+4346>, 0x591934 <exe=
c_byte_code+6692>, 0x591c4d <exec_byte_code+7485>, 0x5920f5 <exec_byte_code=
+8677>, 0x5914b6 <exec_byte_code+5542>, 0x5914fe <exec_byte_code+5614>, 0x5=
90321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x591556 <exec=
_byte_code+5702>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+=
1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x59=
0321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_=
byte_code+1041>, 0x590321 <exec_byte_code+1041>, 0x590321 <exec_byte_code+1=
041>, 0x5915a1 <exec_byte_code+5777> <repeats 64 times>}
        count =3D 4
        stack =3D {pc =3D 0x8e36ed <pure+2788269> "\210)\210\374\375\376\"\=
210\377=CB=81G", byte_string =3D 7098513, byte_string_start =3D 0x8e359b <p=
ure+2787931> "\b\203\b", next =3D 0x0}
        result =3D 0
        type =3D (unknown: 12)
#24 0x000000000055b3b7 in funcall_lambda (fun=3D140737488345728, fun@entry=
=3D7098469, nargs=3Dnargs@entry=3D0, arg_vector=3D0x6c50b0 <pure+566640>, a=
rg_vector@entry=3D0x7fffffffdb60) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        next =3D 0
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#25 0x000000000055a793 in apply_lambda (fun=3D7098469, args=3D<optimized ou=
t>) at eval.c:2919
        args_left =3D 10195826
        i =3D <optimized out>
        numargs =3D 0
        arg_vector =3D 0x7fffffffdb60
        tem =3D <optimized out>
        sa_must_free =3D <optimized out>
#26 0x000000000055aadb in eval_sub (form=3Dform@entry=3D13751734) at eval.c=
:2255
        fun =3D <optimized out>
        val =3D <optimized out>
        original_fun =3D 14483906
        original_args =3D 10195826
        funcar =3D -1
#27 0x000000000055cf22 in Feval (form=3D13751734, lexical=3D<optimized out>=
) at eval.c:1998
No locals.
#28 0x0000000000559c35 in internal_condition_case (bfun=3Dbfun@entry=3D0x4e=
a110 <top_level_2>, handlers=3D<optimized out>, hfun=3Dhfun@entry=3D0x4eba6=
0 <cmd_error>) at eval.c:1349
        val =3D <optimized out>
        c =3D 0xce4e50
#29 0x00000000004ea516 in top_level_1 (ignore=3Dignore@entry=3D10195826) at=
 keyboard.c:1187
No locals.
#30 0x0000000000559b3b in internal_catch (tag=3D10243042, func=3Dfunc@entry=
=3D0x4ea4b0 <top_level_1>, arg=3D10195826) at eval.c:1113
        val =3D <optimized out>
        c =3D 0xce4e50
#31 0x00000000004eb64f in command_loop () at keyboard.c:1148
No locals.
#32 recursive_edit_1 () at keyboard.c:770
        val =3D 13521136
#33 0x00000000004eb97d in Frecursive_edit () at keyboard.c:841
        buffer =3D <optimized out>
#34 0x00000000004e7195 in main (argc=3D4, argv=3D<optimized out>) at emacs.=
c:1656
        dummy =3D 2112
        stack_bottom_variable =3D 21 '\025'
        do_initial_setlocale =3D <optimized out>
        dumping =3D <optimized out>
        skip_args =3D 0
        rlim =3D {rlim_cur =3D 8720000, rlim_max =3D 18446744073709551615}
        no_loadup =3D false
        junk =3D 0x0
        dname_arg =3D 0x0
        ch_to_dir =3D 0x115fd10 "0\005\026\001"
        original_pwd =3D 0xcf27d6 ""

"internal-char-font" (0xffffcf90)
"char-displayable-p" (0xffffd0a0)
"eval-buffer" (0xffffd340)
"load-with-code-conversion" (0xffffd4c8)
"load" (0xffffd7f0)
"command-line-1" (0xffffd910)
"command-line" (0xffffda88)
"normal-top-level" (0xffffdb60)

--=-=-=--




Acknowledgement sent to Kan-Ru Chen (陳侃如) <kanru@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17897; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.